Bug 70402 - using GRUB in MBR, but lilo .rpm installed anway
using GRUB in MBR, but lilo .rpm installed anway
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
limbo
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 23:04 EDT by John Reiser
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-02 17:32:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2002-07-31 23:04:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
At initial text-mode install, I chose GRUB bootloader in MBR.  It was installed;
it works.  But the lilo .rpm was installed, too, which seems like a waste of
install time and disk space.  No other package requires lilo.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Perform intial text-mode install (with no separate /boot partition.)  Select
GRUB bootloader in MBR.
2.
3.
	

Actual Results:  lilo .rpm is also installed (appears in "rpm -qa" and
/root/install.log, for instance.)

Expected Results:  lilo .rpm not installed.

Additional info:

workaround: "rpm --erase lilo" afterwards.
Comment 1 Jeremy Katz 2002-08-02 01:38:45 EDT
This is the expected behavior for now at least.  We install lilo just in case
grub doesn't work on your system for some reason.  For future releases, this
should be changing
Comment 2 Jeremy Katz 2003-04-02 17:32:57 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.